List all shipper boxes
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/shipper-boxes \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/shipper-boxes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/products/{id}/shipper-boxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"shipper_boxes": [
{
"id": "<string>",
"name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"dry_weight": 123,
"units_per_shipper": 123
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}Catalog
List all shipper boxes
List all shipper boxes
GET
/
catalog
/
products
/
{id}
/
shipper-boxes
List all shipper boxes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
product id
Query Parameters
page number of pagination list
Required range:
x >= 1no of rows per page
Required range:
x >= 1JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
search keyword
JSON object
Example:
"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"
Was this page helpful?
⌘I